Package org.kapott.hbci.sepa.jaxb.pain_002_001_10

## Class TrackerData1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_001_10.TrackerData1

    public class TrackerData1
    extends java.lang.Object

Java class for TrackerData1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TrackerData1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ConfdDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}DateAndDateTime2Choice"/>
             <element name="ConfdAmt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}ActiveCurrencyAndAmount"/>
             <element name="TrckrRcrd" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.10}TrackerRecord1" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected ActiveCurrencyAndAmount` `confdAmt`
`protected DateAndDateTime2Choice` `confdDt`
`protected java.util.List<TrackerRecord1>` `trckrRcrd`

### Constructor Summary

Constructors
`TrackerData1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ActiveCurrencyAndAmount` `getConfdAmt()` Gets the value of the confdAmt property.
`DateAndDateTime2Choice` `getConfdDt()` Gets the value of the confdDt property.
`java.util.List<TrackerRecord1>` `getTrckrRcrd()` Gets the value of the trckrRcrd property.
`void` `setConfdAmt​(ActiveCurrencyAndAmount value)` Sets the value of the confdAmt property.
`void` `setConfdDt​(DateAndDateTime2Choice value)` Sets the value of the confdDt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### confdDt

    protected DateAndDateTime2Choice confdDt

#### confdAmt

    protected ActiveCurrencyAndAmount confdAmt

#### trckrRcrd

    protected java.util.List<TrackerRecord1> trckrRcrd

### Constructor Detail

#### TrackerData1

    public TrackerData1()

### Method Detail

#### getConfdDt

    public DateAndDateTime2Choice getConfdDt()

Gets the value of the confdDt property.

Returns:
  possible object is `DateAndDateTime2Choice`

#### setConfdDt

    public void setConfdDt​(DateAndDateTime2Choice value)

Sets the value of the confdDt property.

Parameters:
  `value` - allowed object is `DateAndDateTime2Choice`

#### getConfdAmt

    public ActiveCurrencyAndAmount getConfdAmt()

Gets the value of the confdAmt property.

Returns:
  possible object is `ActiveCurrencyAndAmount`

#### setConfdAmt

    public void setConfdAmt​(ActiveCurrencyAndAmount value)

Sets the value of the confdAmt property.

Parameters:
  `value` - allowed object is `ActiveCurrencyAndAmount`

#### getTrckrRcrd

    public java.util.List<TrackerRecord1> getTrckrRcrd()

Gets the value of the trckrRcrd property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the trckrRcrd property.

For example, to add a new item, do as follows:

        getTrckrRcrd().add(newItem);

Objects of the following type(s) are allowed in the list `TrackerRecord1`